%global _empty_manifest_terminate_build 0
Name:		python-pywinrm
Version:	0.4.2
Release:	1
Summary:	Python library for Windows Remote Management
License:	MIT
URL:		http://github.com/diyan/pywinrm/
Source0:	https://files.pythonhosted.org/packages/a6/2c/b43e69d5f8938f443e369a32b4a70c0874bb4b52cd2e378107f3eddb8cf9/pywinrm-0.4.2.tar.gz
BuildArch:	noarch

Requires:	python3-xmltodict
Requires:	python3-requests
Requires:	python3-requests-ntlm
Requires:	python3-six
Requires:	python3-requests-credssp
Requires:	python3-pykerberos
Requires:	python3-winkerberos

%description
pywinrm is a Python client for the Windows Remote Management (WinRM) service. It allows you to invoke commands on target Windows machines from any machine that can run Python.

%package -n python3-pywinrm
Summary:	Python library for Windows Remote Management
Provides:	python-pywinrm
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pywinrm
pywinrm is a Python client for the Windows Remote Management (WinRM) service. It allows you to invoke commands on target Windows machines from any machine that can run Python.

%package help
Summary:	Development documents and examples for pywinrm
Provides:	python3-pywinrm-doc
%description help
pywinrm is a Python client for the Windows Remote Management (WinRM) service. It allows you to invoke commands on target Windows machines from any machine that can run Python.

%prep
%autosetup -n pywinrm-0.4.2

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pywinrm -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 17 2021 Python_Bot <Python_Bot@openeuler.org> - 0.4.2-1
- Package Spec generated
